{ nixpkgs ? import <nixpkgs>{} }:

with nixpkgs;

let
  lemacs = emacsWithPackages(epkgs:
    (with epkgs.melpaPackages; [ess]) ++
    (with epkgs.orgPackages; [org-plus-contrib])
  );

in
stdenv.mkDerivation rec {

  name = "document";

  src = ./.;

  buildInputs = [
    # Emacs -- necessary for building tex file
    lemacs

    # TeX compilation
    (texlive.combine {
      inherit (texlive)
        scheme-small
        # Directly required packages
        latexmk
        epstopdf
        
        # Other Packages
        wrapfig
        capt-of
        csquotes
        xpatch
        pstricks
      ;    
    })

    # Local Packages
    
  ];

  buildPhase = "make";

  # meta = with lib; {
  #   description = "UNL LA Program Operations Manuals";
  #   licenses = licenses.nonfree;
  #   author = "LA Program <learningassistants@cse.unl.edu>";
  # };
}
